source /etc/profile
echo $ROV_OFFLINE_ENV
if [ ! -d "my_logs" ]; then
    # 如果文件夹不存在，则创建文件夹
    mkdir my_logs
fi
cur_time="`date +%Y%m%d`"
cur_h="`date +%H`"
echo "开始执行时间:{$cur_time}-{$cur_h}"

if [[ $ROV_OFFLINE_ENV == 'test' ]]; then
  cd /root/zhangbo/rov-offline
#  /root/anaconda3/bin/python alg_recsys_recall_1h_region.py &
#  /root/anaconda3/bin/python alg_recsys_recall_24h_noregion.py &
#  /root/anaconda3/bin/python alg_recsys_recall_24h_region.py &
  /root/anaconda3/bin/python alg_recsys_recall_1h_noregion.py
  wait
  echo "并行执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
#  /root/anaconda3/bin/python alg_recsys_recall_aftermerge.py
  echo "结束执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
  echo "all done"
elif [[ $ROV_OFFLINE_ENV == 'pro' ]]; then
  cd /root/zhangbo/rov-offline
#  /root/anaconda3/bin/python alg_recsys_recall_1h_region.py &
#  /root/anaconda3/bin/python alg_recsys_recall_24h_noregion.py &
#  /root/anaconda3/bin/python alg_recsys_recall_24h_region.py &
  /root/anaconda3/bin/python alg_recsys_recall_1h_noregion.py
  wait
  echo "并行执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
#  /root/anaconda3/bin/python alg_recsys_recall_aftermerge.py
  echo "结束执行时间:{$(date "+%Y-%m-%d %H:%M:%S")}"
  echo "all done"
fi

#10 * * * * cd /zhangbo/rov-offline && /bin/sh alg_recsys_recall_hour_region_task.sh > my_logs/task_$(date +\%Y-\%m-\%d_\%H).log 2>&1